package cc.fascinated;

import cc.fascinated.account.AccountManager;
import cc.fascinated.bot.DiscordBot;
import cc.fascinated.chat.ChatManager;
import cc.fascinated.command.CommandManager;
import cc.fascinated.commandspy.CommandSpyManager;
import cc.fascinated.config.Config;
import cc.fascinated.config.Lang;
import cc.fascinated.event.EventManager;
import cc.fascinated.joinlogs.JoinLogManager;
import cc.fascinated.metrics.MetricManager;
import cc.fascinated.misc.RenderDistanceManager;
import cc.fascinated.motd.MotdManager;
import cc.fascinated.placeholder.PlaceholderManager;
import cc.fascinated.playercolor.PlayerColorManager;
import cc.fascinated.staffchat.StaffChatManager;
import cc.fascinated.tips.TipManager;
import cc.fascinated.utils.BuildData;
import cc.fascinated.vote.VoteManager;
import cc.fascinated.worldsize.WorldSizeManager;
import lombok.Getter;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class Aetheria extends JavaPlugin {

    @Getter
    private static final BuildData buildData = new BuildData();

    /**
     * The instance of the plugin.
     */
    public static Aetheria INSTANCE;

    /**
     * Thread pool executor for async tasks.
     */
    public static ThreadPoolExecutor EXECUTOR = new ThreadPoolExecutor(2, 8, 0L,
            TimeUnit.MILLISECONDS, new LinkedBlockingQueue<>());

    public Aetheria() {
        INSTANCE = this;
    }

    @Override
    public void onEnable() {
        saveDefaultConfig();

        new AccountManager();
        new EventManager();
        new CommandManager();
        new WorldSizeManager();
        new PlaceholderManager();
        new MetricManager();
        new PlayerColorManager();
        new ChatManager();
        new MotdManager();
        new CommandSpyManager();
        new RenderDistanceManager();
        new VoteManager();
        new StaffChatManager();
        new TipManager();
        new JoinLogManager();

        new DiscordBot();
    }
}