package cc.fascinated.account;

import lombok.Getter;
import org.bukkit.configuration.ConfigurationSection;

@Getter
public abstract class Profile {

    /**
     * The account this profile is for.
     */
    private final Account account;

    /**
     * The configuration section for this profile.
     */
    private final ConfigurationSection section;

    /**
     * This constructor is used for loading a profile from file.
     *
     * @param account the account to load the profile for
     * @param section the configuration section to load from
     */
    public Profile(Account account, ConfigurationSection section) {
        this.account = account;
        this.section = section;
    }

    /**
     * Saves this profile to file.
     *
     * @param section the configuration section to save to
     */
    public abstract void save(ConfigurationSection section);
}
