package cc.fascinated.command;

import cc.fascinated.Aetheria;
import cc.fascinated.command.impl.*;
import org.bukkit.Bukkit;
import org.bukkit.command.PluginCommand;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

public class CommandManager {

    private static final List<Command> COMMANDS = new ArrayList<>();

    public CommandManager() {
        registerCommand(new TotalJoinsCommand());
        registerCommand(new HelpCommand());
        registerCommand(new SeedCommand());
        registerCommand(new VoteCommand());
        registerCommand(new GitCommand());
        registerCommand(new DiscordCommand());
    }

    /**
     * Registers a command.
     *
     * @param command The command to register.
     */
    public static void registerCommand(@NotNull Command command) {
        Bukkit.getCommandMap().register(Aetheria.INSTANCE.getName(), command);
        COMMANDS.add(command);
    }

    /**
     * Unregisters a command.
     *
     * @param command The command to unregister.
     */
    public static void unregisterCommand(@NotNull Command command) {
        command.unregister(Bukkit.getCommandMap());
        COMMANDS.remove(command);
    }
}
