package cc.fascinated.command.impl;

import cc.fascinated.Aetheria;
import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.config.Lang;
import cc.fascinated.utils.BuildData;
import cc.fascinated.utils.Style;

import java.util.List;

public class GitCommand extends Command {

    public GitCommand() {
        super("git");
        super.setPermission("aetheria.command.git");
    }

    @Override
    public void execute(Account account, String[] args) {
        BuildData buildData = Aetheria.getBuildData();

        List<String> voteLinks = Lang.GIT_COMMAND.getAsStringList();
        for (String line : voteLinks) {
            account.sendMessage(Style.getMiniMessage().deserialize(line
                    .replace("%version%", buildData.getBuildVersion())
                    .replace("%build%", buildData.getBuildId())
                    .replace("%date%", buildData.getBuildDate())
            ));
        }
    }
}
