package cc.fascinated.command.impl;

import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.config.Lang;
import cc.fascinated.utils.ChatUtils;
import cc.fascinated.utils.Style;

import java.util.List;

public class VoteCommand extends Command {

    public VoteCommand() {
        super("vote");
    }

    @Override
    public void execute(Account account, String[] args) {
        account.sendMessage(ChatUtils.color(Lang.VOTE_COMMAND_HEADER.getAsString()));
        List<String> voteLinks = Lang.VOTE_COMMAND_LINKS.getAsStringList();
        for (String link : voteLinks) {
            account.sendMessage(Style.getMiniMessage().deserialize(Lang.VOTE_COMMAND_FORMAT.getAsString()
                    .replace("%link%", link)
                    .replace("%number%", String.valueOf(voteLinks.indexOf(link) + 1))
            ));
        }
    }
}
