package cc.fascinated.event;

import cc.fascinated.account.Account;
import cc.fascinated.utils.Priority;
import com.vexsoftware.votifier.model.VotifierEvent;
import io.papermc.paper.event.player.AsyncChatEvent;
import org.bukkit.event.entity.EntityDeathEvent;
import org.bukkit.event.player.PlayerCommandPreprocessEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerLoginEvent;
import org.bukkit.event.player.PlayerQuitEvent;
import org.bukkit.event.server.ServerListPingEvent;

public interface EventListener {

    default Priority getPriority() {
        return Priority.NORMAL;
    }

    default void onAetheriaDisable() {
    }

    default void onPlayerJoin(Account account, PlayerJoinEvent event) {
    }

    default void onPlayerLogin(Account account, PlayerLoginEvent event) {
    }

    default void onPlayerQuit(Account account, PlayerQuitEvent event) {
    }

    default void onAsyncChat(Account account, AsyncChatEvent event) {
    }

    default void onCommandPreProcess(Account account, PlayerCommandPreprocessEvent event) {
    }

    default void onServerListPing(ServerListPingEvent event) {
    }

    default void onEntityDeath(EntityDeathEvent event) {
    }

    default void onVote(Account account, VotifierEvent event) {
    }
}
