package cc.fascinated.metrics.impl.server;

import cc.fascinated.metrics.Metric;
import com.influxdb.client.write.Point;
import org.bukkit.Bukkit;
import org.bukkit.World;

import java.util.HashMap;
import java.util.Map;

public class LoadedChunksMetric extends Metric {

    public LoadedChunksMetric() {
        super("loaded_chunks");
    }

    @Override
    protected Point toPoint() {
        Map<World, Integer> entityCount = new HashMap<>();
        for (World world : Bukkit.getWorlds()) {
            entityCount.put(world, world.getChunkCount());
        }
        Point point = Point.measurement(getName());
        for (Map.Entry<World, Integer> entry : entityCount.entrySet()) {
            point.addField(entry.getKey().getName(), entry.getValue());
        }
        return point;
    }
}
