package cc.fascinated.metrics.impl.system;

import cc.fascinated.Aetheria;
import cc.fascinated.Oshi;
import cc.fascinated.metrics.Metric;
import com.influxdb.client.write.Point;
import org.bukkit.Bukkit;
import oshi.hardware.HardwareAbstractionLayer;

import java.util.concurrent.TimeUnit;

public class CpuUsageMetric extends Metric {

    double cpuLoad;

    public CpuUsageMetric() {
        super("cpu_usage");

        Bukkit.getAsyncScheduler().runAtFixedRate(Aetheria.INSTANCE, (task) -> {
            HardwareAbstractionLayer hardware = Oshi.SYSTEM_INFO.getHardware();
            cpuLoad = hardware.getProcessor().getSystemCpuLoad(500) * 100; // get the CPU load in percentage
        }, 0, 30, TimeUnit.SECONDS);
    }

    @Override
    protected Point toPoint() {
        return Point.measurement(getName())
                .addField("value", cpuLoad);
    }
}
