package cc.fascinated.metrics.impl.world;

import cc.fascinated.metrics.Metric;
import cc.fascinated.worldsize.WorldSizeManager;
import com.influxdb.client.write.Point;
import org.bukkit.World;

import java.util.Map;

public class WorldSizeMetric extends Metric {

    public WorldSizeMetric() {
        super("world_size");
    }

    @Override
    protected Point toPoint() {
        Map<World, Long> worldSizes = WorldSizeManager.getWorldSizes();
        if (worldSizes.isEmpty()) {
            return null;
        }

        Point point = Point.measurement(getName());
        for (Map.Entry<World, Long> entry : worldSizes.entrySet()) {
            point.addField(entry.getKey().getName(), entry.getValue());
        }
        return point;
    }
}
