package cc.fascinated.motd;

import cc.fascinated.config.Config;
import cc.fascinated.utils.Manager;
import net.kyori.adventure.text.minimessage.MiniMessage;
import org.bukkit.event.server.ServerListPingEvent;

import java.util.List;

public class MotdManager extends Manager {

    private final String motdHeader;
    private final List<String> motds;

    public MotdManager() {
        motdHeader = Config.MOTD_HEADER.getAsString();
        motds = Config.MOTD_LIST.getAsStringList();
    }

    @Override
    public void onServerListPing(ServerListPingEvent event) {
        MiniMessage miniMessage = MiniMessage.miniMessage();
        String motd = motds.get((int) (Math.random() * motds.size()));

        event.motd(miniMessage.deserialize(motdHeader)
                .appendNewline()
                .append(miniMessage.deserialize(Config.MOTD_FORMAT.getAsString().replace("%motd%", motd)))
        );
    }
}
