package cc.fascinated.placeholder;

import org.bukkit.entity.Player;

import javax.annotation.Nullable;

public interface AetheriaPlaceholder {

    /**
     * @return the identifier for this placeholder
     */
    String getIdentifier();

    /**
     * Parse this placeholder and return the value for the provided player
     *
     * @param player the player to parse the placeholder for, null if offline
     * @param params the parameters for the placeholder
     * @return the placeholder string
     */
    String parse(@Nullable Player player, String[] params);

    /**
     * Return the required amount of parameters for this placeholder
     * Does not include the expansion identifier or the placeholder identifier
     *
     * @return the required amount of parameters
     */
    int getRequiredParameterCount();

}