package cc.fascinated.staffchat;

import cc.fascinated.account.Account;
import cc.fascinated.account.AccountManager;
import cc.fascinated.config.Lang;
import cc.fascinated.staffchat.command.StaffChatCommand;
import cc.fascinated.utils.Manager;

public class StaffChatManager extends Manager {

    public StaffChatManager() {
        registerCommand(new StaffChatCommand());
    }

    /**
     * Sends a message to all staff members.
     *
     * @param sender the account who sent the message
     * @param message the message to send
     */
    public static void sendMessage(Account sender, String message) {
        AccountManager.getOnlineAccounts().stream()
                .filter(account -> account.hasPermission("aetheria.command.staffchat"))
                .forEach(account -> {
                    account.sendMessage(Lang.STAFF_CHAT_FORMAT.getAsString()
                            .replace("%player%", sender.getPlayer().getName())
                            .replace("%message%", message)
                            .replace("player-color", sender.getPlayerColorProfile().getColor().toString())
                    );
                });
    }
}
