package cc.fascinated.tips;

import cc.fascinated.Aetheria;
import cc.fascinated.account.Account;
import cc.fascinated.config.Config;
import cc.fascinated.config.Lang;
import cc.fascinated.utils.Manager;
import cc.fascinated.utils.MessageUtils;
import org.bukkit.Bukkit;
import org.bukkit.event.player.PlayerJoinEvent;

import java.util.List;
import java.util.concurrent.TimeUnit;

public class TipManager extends Manager {

    public TipManager() {
        Bukkit.getAsyncScheduler().runAtFixedRate(Aetheria.INSTANCE, (task) -> {
            MessageUtils.broadcast(Lang.TIPS_FORMAT.getAsString()
                    .replace("%tip%", this.getRandomTip())
            );
        }, 0, Config.TIP_INTERVAL.getAsInt() , TimeUnit.MINUTES);
    }

    /**
     * Get a random tip.
     *
     * @return the random tip
     */
    private String getRandomTip() {
        List<String> tips = Lang.TIPS_LIST.getAsStringList();
        return tips.get((int) (Math.random() * tips.size()));
    }

    @Override
    public void onPlayerJoin(Account account, PlayerJoinEvent event) {
        account.sendMessage(Lang.TIPS_FORMAT.getAsString()
                .replace("%tip%", this.getRandomTip())
        );
        account.sendMessage(Lang.TIPS_LOGIN_NOTIFICATION.getAsString());
    }
}
