package cc.fascinated.utils;

import lombok.Getter;

import java.io.IOException;
import java.util.Properties;

@Getter
public class BuildData {

    private final String buildId;
    private final String buildVersion;
    private final String buildDate;

    public BuildData() {
        // get git.properties from resources
        Properties properties = new Properties();
        try {
            properties.load(getClass().getClassLoader().getResourceAsStream("git.properties"));
        } catch (IOException e) {
            e.printStackTrace();
        }

        this.buildId = properties.getProperty("git.commit.id.abbrev");
        this.buildVersion = properties.getProperty("git.build.version");
        this.buildDate = properties.getProperty("git.build.time");
    }
}
