package cc.fascinated.vote;

import cc.fascinated.account.Account;
import cc.fascinated.account.Profile;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import org.bukkit.configuration.ConfigurationSection;

@Getter
@EqualsAndHashCode(callSuper = false)
public class VoteProfile extends Profile {

    private int totalVotes;

    public VoteProfile(Account account, ConfigurationSection section) {
        super(account, section);

        if (section == null) {
            this.totalVotes = 0;
        } else {
            this.totalVotes = section.getInt("totalVotes");
        }
    }

    /**
     * Adds a vote to the player.
     * <p>
     * This gets called when a player votes for the server.
     * </p>
     */
    public void addVote() {
        this.totalVotes++;
    }

    @Override
    public void save(ConfigurationSection section) {
        section.set("totalVotes", this.totalVotes);
    }
}
