package cc.fascinated.worldsize;

import cc.fascinated.placeholder.AetheriaPlaceholder;
import cc.fascinated.utils.FormatterUtils;
import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.Nullable;

public class WorldSizePlaceholder implements AetheriaPlaceholder {

    @Override
    public String getIdentifier() {
        return "worldsize";
    }

    @Override
    public String parse(@Nullable Player player, String[] params) {
        World world = Bukkit.getWorld(params[0].replaceAll("-", "_"));
        if (world == null) {
            return "-1";
        }
        long size = WorldSizeManager.getWorldSizes().get(world);
        return FormatterUtils.formatBytes(size);
    }

    @Override
    public int getRequiredParameterCount() {
        return 1;
    }
}
